<template>
  <div>
    <n-modal
      v-model:show="showModal"
      style="width: 50%; margin-top: 10%"
      :show-icon="false"
      preset="dialog"
      :title="title"
    >
      <Select />
    </n-modal>
  </div>
</template>

<script lang="ts" setup>
  import { ref } from 'vue';
  import Select from './select.vue';

  const showModal = ref(false);
  const title = ref('服务选择');

  function openDrawer() {
    showModal.value = true;
  }
  defineExpose({ openDrawer });
</script>

<style scoped></style>
